Page MenuHomePhabricator

Failed ExternalData requests result in all maps on page being completely broken
Closed, ResolvedPublic

Description

Repro: add several mapframes and maplinks to the page, make one of mapframes ingest shapes via ExternalData. Make the geoshapes request fail (the easiest way is to hack modules/box/Map.js and replace uri.path = '/geoshape' with something nonexistent).

All maps, including ones displayed by maplinks, appear blank.

Expected: a more graceful failure where tiles are still shown.

Event Timeline

MaxSem created this task.Sep 22 2016, 6:20 PM
Restricted Application added a project: Discovery. · View Herald TranscriptSep 22 2016, 6:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Yurik assigned this task to JGirault.Sep 24 2016, 12:44 AM
JGirault moved this task from Backlog to In progress on the Maps-Sprint board.Sep 24 2016, 12:26 PM

Change 314730 had a related patch set uploaded (by JGirault):
Refactor data loader into a separate lib

https://gerrit.wikimedia.org/r/314730

JGirault moved this task from In progress to Needs review on the Maps-Sprint board.Oct 7 2016, 6:46 PM

Change 314730 merged by Yurik:
Refactor data loader into a separate lib

https://gerrit.wikimedia.org/r/314730